<?php
global $wpdb;

// Include all classes
include(EmailsTpl::$plugin_dir . '/includes/all_classes.php');

// Define the tables prefix
$prefix = $wpdb->prefix . EmailsTpl::$db_prefix;

// Creating Table for Emails Templates
$table_name = $prefix . EmailsTpl_Emails::$table_name;
if ($wpdb->get_var("show tables like '$table_name'") != $table_name) {
	$wpdb->query("CREATE TABLE `$table_name` (
			`id` INT NOT NULL auto_increment ,
			`name` varchar (255),
			`lang` varchar (255),
			`subject` varchar (255),
			`body` TEXT,
			`wildcards_list` varchar (255),
			PRIMARY KEY ( `id` ))");	
}
// Creating Table for Wildcards
$table_name = $prefix . EmailsTpl_Wildcards::$table_name;
if ($wpdb->get_var("show tables like '$table_name'") != $table_name) {
	$wpdb->query("CREATE TABLE `$table_name` (
			`id` INT NOT NULL auto_increment ,
			`name` varchar (255),
			`description` varchar (255),
			PRIMARY KEY ( `id` ))");	
}
// Creating Table for Languages
$table_name = $prefix . EmailsTpl_Languages::$table_name;
if ($wpdb->get_var("show tables like '$table_name'") != $table_name) {
	$wpdb->query("CREATE TABLE `$table_name` (
			`id` INT NOT NULL auto_increment ,
			`name` varchar (255),
			PRIMARY KEY ( `id` ))");	
}
?>